ProgramFile
EndInit

! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000
ACCEL_PTP_AX    40.0000
SPEED_CP         0.1000
ACCEL_CP         0.2000
SPEED_ORI       20.0000
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

ERC CELL_INFO ERPL-Example: Cartesian Space Limits

ERC TRACK ON
ERC COLOR TRACK  YELLOW
ERC TRACK_TYPE LINE 1.5

! ----------------------------------------------------------------------------------------- 
! Disables Cart. Space Limits
! ----------------------------------------------------------------------------------------- 
ERC SHOW_CART_SPACE OFF
ERC STOP_CART_SPACE OFF

! ----------------------------------------------------------------------------------------- 
! Enables Cart. Space Limits
! ----------------------------------------------------------------------------------------- 
ERC SHOW_CART_SPACE ON

! ----------------------------------------------------------------------------------------- 
! Sets Cart. Space Limits MIN/MAX
! ----------------------------------------------------------------------------------------- 
ERC  CART_LIMITS_MIN      -0.4000     -0.5000     -0.0100
ERC  CART_LIMITS_MAX      0.4000     0.5000     0.7000

! ----------------------------------------------------------------------------------------- 
! 1st Program Run with Cart. Space Limits
! ----------------------------------------------------------------------------------------- 
ALONG PATH01 T_1 T_5
ERC CELL_INFO The surface where the exceedance occurs (-Y direction) turns into dark red.
WAIT             10.0000
ALONG PATH01 T_6 T_9
Home HOME_1
WAIT             5.0000

! ----------------------------------------------------------------------------------------- 
! Changes Cart. Space Limits MAX
! ----------------------------------------------------------------------------------------- 
ERC  CART_LIMITS_MIN      -0.4000     -0.5000     -0.0100
ERC  CART_LIMITS_MAX      0.4000     0.5000     0.4000

ERC CELL_INFO Reducing Cartesian Space Limit in Z-direction

! ----------------------------------------------------------------------------------------- 
! 2nd Program Run with changed Cart. Space Limits
! ----------------------------------------------------------------------------------------- 
WAIT             5.0000
ALONG PATH01 T_1 T_9
Home HOME_1
WAIT             5.0000

! ----------------------------------------------------------------------------------------- 
! Changes Cart. Space Limits MAX
! ----------------------------------------------------------------------------------------- 
ERC  CART_LIMITS_MIN      -0.4000     -0.5000     -0.0100
ERC  CART_LIMITS_MAX      0.4000     0.5000     0.7000

ERC CELL_INFO Enbaling Auto Stop when Cartesian Space Limits exceeded

! ----------------------------------------------------------------------------------------- 
! Enables Auto Stop when Cart. Space Limits exceeded
! ----------------------------------------------------------------------------------------- 
ERC STOP_CART_SPACE ON

! ----------------------------------------------------------------------------------------- 
! 3rd Program Run with Auto Stop
! ----------------------------------------------------------------------------------------- 
WAIT             5.0000
ALONG PATH01 T_1 T_9

Home HOME_1
ERC TRACK OFF

EndProgramFile


! END PRGFILE  3631770688
