ProgramFile
! cRobot 'ER431'
! Below section is called once at t=0
! Add Initialization commands here
! 
ERC MSG_WIN ON
ERC PRG_WIN ON
!
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000

SPEED_CP_OV    100.0000
! ---------

ERC COLLISION ON

!Enables the recording of data for a 'ER431' for the History-Diagram
ERC HISTORY_DEVICE ON

ACCEL_PTP_OV   200.0000

PTP T_R1_LOAD_4
PTP T_R1_LOAD_2

! Start of History-Diagram recording
! Output file: 'history_diagram_03_history.hst'
ERC HISTORY_OUTPUT ON history_diagram_03_history.hst

PTP T_R1_LOAD_1
PTP T_R1_LOAD_2

! Stop the History-Diagram recording output manual
ERC HISTORY_OUTPUT OFF

PTP T_R1_LOAD_3
PTP T_R1_LOAD_4

Home HOME_1

ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET ER431#2
PTP_AX          16.1892     6.1166    -0.9990     0.0000    84.8824   -73.8108
PTP_AX        -180.0000    20.7664   -66.5000  -180.0000    30.2664    -0.0000
Home HOME_1
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET ER431

ERC COLLISION OFF
! 
EndProgramFile


! END PRGFILE  3784945948
