ProgramFile
! cRobot 'DB500'
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

ERC CAMERA OFF
Home 1

call my_fct_name()

!
! Eine Kamera ist immer an eine Geometrie gebunden
! Es wird in die neg. z-Richtung geguckt
! Y-Rtg. nach oben 'Top' red cube
! X-Rtg. nach rechts 'Right' blue cube
! Die Kamera ist genau festgelegt mit Position, focus, z_offset
! Es sollten immer erst die Werte gesetzt und dann die 
! Kamera eingeschaltet werden
! Mit position wird der Aug-Punkt aus dem Coorsys der Geometrie verschoben
! Gleiches macht auch z_offset, allerdings nur in z-Rtg.
!
ERC CAMERA OFF
ERC CURRENT_DEVICE SET KAM_1
ERC CAMERA ROBOT KAM_1
ERC CAMERA POSITION 0 0 0 0 0 0
ERC CAMERA FOCUS 50
SPEED_PTP       5.0000 0.0
ERC CAMERA Z_OFFSET 0
PTP_AX           0.0000    20.0000
ERC CURRENT_DEVICE UNSET
ERC CAMERA ON

!ERC CAMERA ROBOT DB500
call my_fct_name()
! move Kamera device
ERC CURRENT_DEVICE SET KAM_1
ERC CAMERA ROBOT KAM_1
ERC CAMERA POSITION 0 0 0 0 0 0
ERC CAMERA FOCUS 50
ERC CAMERA Z_OFFSET 0
ERC CAMERA OFF
SPEED_PTP       5.0000 0.0
PTP_AX           0.0000    0.0000
PTP_AX           -90.0000    20.0000
PTP_AX           0.0000    20.0000
ERC CAMERA ON
PTP_AX           0.0000    0.0000
PTP_AX           -90.0000    20.0000
PTP_AX           0.0000    0.0000
ERC CURRENT_DEVICE UNSET
ERC CAMERA OFF

ERC CAMERA BODY cyl
ERC CAMERA POSITION 0 0 0 180 0 90
ERC CAMERA FOCUS 50
ERC CAMERA Z_OFFSET 0
ERC CAMERA ON
call my_fct_name()

ERC CAMERA OFF
! Set device get correct tool
ERC CURRENT_DEVICE SET DB500
ERC CAMERA TOOL tool
ERC CAMERA POSITION 0 0 0 180 0 90
ERC CAMERA FOCUS 50
ERC CAMERA Z_OFFSET -190
ERC CURRENT_DEVICE UNSET
ERC CAMERA ON
MOVE T_1
ERC CAMERA FOCUS 15
MOVE T_5
MOVE T_1
ERC CAMERA FOCUS 200
MOVE T_5
MOVE T_1
ERC CAMERA OFF
HOME 1

ERC CAMERA BODY cyl
ERC CAMERA POSITION 0 0 0 180 0 90
ERC CAMERA FOCUS 50
ERC CAMERA Z_OFFSET 0
ERC CAMERA ON
MOVE T_1
ERC CAMERA Z_OFFSET 0
MOVE T_5
MOVE T_1
ERC CAMERA Z_OFFSET 200
MOVE T_5
MOVE T_1
ERC CAMERA Z_OFFSET 50
MOVE T_5
MOVE T_1
ERC CAMERA OFF
HOME 1

EndProgramFile

fct my_fct_name()
MOVE T_1
MOVE T_2
MOVE T_3
MOVE T_4
MOVE T_5
Home 1
endfct

! END PRGFILE  3917771480
