ProgramFile
! cRobot 'DB500'
! Example program to demonstrate the 
! collision functions 
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

! ---------------------------------------------------
ERC COLLISION OFF
ERC STOP_COLLISION OFF
ERC COLLISION DISTANCE 0.001

ERC CURRENT_DEVICE SET DB500
ERC COLLISION ROBOT_GRP CONCAVE

ERC RED_BLUE_COLLISION ON
ERC PRG_WIN ON

Home 1
ERC SIM_STEP     0.0200

ERC LOAD VIEW view_09.vie

MSG **************************************************
MSG             COLL Check OFF
MSG

MOVE T_5_2
MOVE T_5_1
MOVE T_5_2

MOVE T_4_1
MOVE T_4
MOVE T_4_1

MSG **************************************************
MSG             COLL Check CONCAVE
MSG

ERC COLLISION QUEUE BODY_TOOL ON
ERC COLLISION TOOL tool CONCAVE
ERC COLLISION BODY cyl_half CONCAVE
ERC COLLISION ON

MOVE T_5_2
MOVE T_5_1
MOVE T_5_2
MOVE T_4_1

MOVE T_4
MOVE T_4_1

MSG **************************************************
MSG             COLL Check BBOX
MSG

ERC COLLISION QUEUE BODY_TOOL ON
ERC COLLISION TOOL tool Bbox
ERC COLLISION BODY cyl_half Bbox
ERC COLLISION DISTANCE 0.001
ERC COLLISION ON
MOVE T_5_2
MOVE T_5_1
MOVE T_5_2
MOVE T_4_1

MOVE T_4
MOVE T_4_1

MSG **************************************************
MSG             COLL Check CONVEX
MSG

ERC COLLISION QUEUE BODY_TOOL ON
ERC COLLISION TOOL tool CONVEX
ERC COLLISION BODY cyl_half CONVEX
ERC COLLISION DISTANCE 0.001
ERC COLLISION ON
MOVE T_5_2
MOVE T_5_1
MOVE T_5_2
MOVE T_4_1

MOVE T_4
MOVE T_4_1

MSG **************************************************
MSG             MinDist

ERC COLLISION DISTANCE 0.001
MOVE T_5_2
MOVE T_5_1
MOVE T_5_2
ERC COLLISION DISTANCE 10
MOVE T_5_1
MOVE T_5_2
ERC COLLISION DISTANCE 60
MOVE T_5_1
MOVE T_5_2

ERC COLLISION OFF

HOME 1

call my_fct_name()
EndProgramFile

fct my_fct_name()
endfct

! END PRGFILE  1227090524
