ProgramFile
! cRobot 'ER431-01'
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
SPEED_PTP_OV   80.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! 

ERC COLLISION ON
OV_PRO         20.0000

ERC CELL_INFO  collision_device_name(.,.), collision_device_idx(.,.)
Home HOME_1

PTP T_1
call ChkCollFct()
ERC PAUSE

PTP T_2
call ChkCollFct()
ERC PAUSE

PTP T_3
call ChkCollFct()
ERC PAUSE

Home HOME_1

coll = collision()
IF coll
ERC CELL_INFO  global collision occured
ELSE
ERC CELL_INFO  no collision
ENDIF
! 
ERC PAUSE
WAIT 0
ERC CELL_INFO  collision_device_name(.,.), collision_device_idx(.,.)
! 
EndProgramFile

Fct ChkCollFct()
! 
ERC CELL_INFO collision_devices_name "Torch_01" vs. "ER431-02" and "Torch_02"
!
coll_t1_with_R2 = collision_devices_name(Torch_01,ER431-02)
coll_t1_with_T2 = collision_devices_name(Torch_01,Torch_02)
WAIT 1.0
IF coll_t1_with_R2
ERC CELL_INFO "Torch_01" collides with "ER431-02"
ELSEIF coll_t1_with_T2
ERC CELL_INFO "Torch_01" collides with "Torch_02"
ELSE
ERC CELL_INFO ... no collision by name
ENDIF
!
WAIT 1.0
! 
! do the same using current device index
! 
idx_t1 = get_device_idx(Torch_01)
idx_t2 = get_device_idx(Torch_02)
idx_r2 = get_device_idx(ER431-02)

coll_t1_with_R2 = collision_devices_idx(idx_t1,idx_r2)
coll_t1_with_T2 = collision_devices_idx(idx_t1,idx_t2)
!
IF coll_t1_with_R2
ERC CELL_INFO "Torch_01" collides with "ER431-02"
ELSEIF coll_t1_with_T2
ERC CELL_INFO "Torch_01" collides with "Torch_02"
ELSE
ERC CELL_INFO ... no collision by idx
ENDIF
!
WAIT 1.0
!
EndFct


! END PRGFILE  1112072292
