ProgramFile
! cRobot 'DB500'
!
! Example program to demonstrate the functions 
! view
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

Home 1
ERC SIM_STEP    0.1

! zoom
ERC LOAD VIEW view_01.vie
MOVE T_1
Home 1
ERC VIEW zoom 1
MOVE T_1
Home 1
ERC VIEW zoom_out 0.5
MOVE T_1
Home 1
ERC VIEW zoom_out 0.5
MOVE T_1
Home 1
ERC VIEW zoom_out 0.5
MOVE T_1
Home 1
ERC VIEW zoom_in 1
MOVE T_1
Home 1
ERC VIEW zoom_in 1
MOVE T_1
Home 1

! hither_yonder
ERC LOAD VIEW view_05.vie

ERC VIEW hither 0.5
MOVE T_1
Home 1
ERC VIEW hither 2
MOVE T_1
Home 1
ERC VIEW hither 3
MOVE T_1
Home 1
ERC VIEW hither 4
MOVE T_1
Home 1
ERC VIEW hither 0.5

ERC VIEW yonder 20
MOVE T_1
Home 1
ERC VIEW yonder 10
MOVE T_1
Home 1
ERC VIEW yonder 5
MOVE T_1
Home 1
ERC VIEW yonder 1
MOVE T_1
Home 1
ERC VIEW yonder 10
MOVE T_1
Home 1
ERC VIEW yonder 20
MOVE T_1
Home 1

! tcp_rot_tcp
ERC LOAD VIEW view_06.vie
ERC VIEW tcp_rot_tcp 90 0 90
MOVE T_1
Home 1
ERC VIEW tcp_rot_tcp 0 0 90
MOVE T_1
Home 1
ERC VIEW tcp_rot_tcp 90 0 0
MOVE T_1
Home 1

! tcp_rot_world
ERC LOAD VIEW view_06.vie
ERC VIEW tcp_rot_world 45 0 45
MOVE T_1
Home 1
ERC VIEW tcp_rot_world 0 0 45
MOVE T_1
Home 1
ERC VIEW tcp_rot_world 45 0 0
MOVE T_1
Home 1

! world_rot_base
ERC LOAD VIEW view_06.vie
ERC VIEW world_rot_base -90 0 -90
MOVE T_1
Home 1
ERC VIEW world_rot_base 0 0 -90
MOVE T_1
Home 1
ERC VIEW world_rot_base -90 0 0
MOVE T_1
Home 1

! world_rot_world
ERC LOAD VIEW view_06.vie
ERC VIEW world_rot_world -45 0 -45
MOVE T_1
Home 1
ERC VIEW world_rot_world 0 0 -45
MOVE T_1
Home 1
ERC VIEW world_rot_world -45 0 0
MOVE T_1
Home 1

! view_cruise
ERC LOAD VIEW view_01.vie

ERC VIEW steps 100
ERC LOAD VIEW view_01.vie
ERC LOAD VIEW view_02.vie
ERC LOAD VIEW view_03.vie
ERC LOAD VIEW view_04.vie
ERC VIEW steps 1

ERC LOAD VIEW view_01.vie
call my_fct_name()
ERC LOAD VIEW view_02.vie
call my_fct_name()

ERC VIEW steps 100
ERC LOAD VIEW view_04.vie
ERC LOAD VIEW view_03.vie

EndProgramFile

fct my_fct_name()

MOVE T_1
MOVE T_2
MOVE T_3
MOVE T_4
MOVE T_5
Home 1

endfct

! END PRGFILE  2535128420
