ProgramFile
! cRobot 'ER431'
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
SPEED_PTP_OV   80.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         10.0000
ERC NO_DECEL OFF
ZONE             0.0000
! 
da1=15
da2=5
da3=5
move_a1=1
a1p=1

ERC TRACK OFF
PTP_AX          0 0 0  0 0 0

! A2+
a2=dof(2)*DEG
WHILE le ( a2 , swep_calc(2)*DEG)
a2=a2+da2
JUMP_TO_AX          @ a2 @  @ @ @
ENDWHILE
JUMP_TO_AX          @ swep_calc(2)*DEG @  @ @ @
if move_a1
PTP_AX          swep(1)*DEG @ @ @ @ @
endif

ERC TRACK ON

! A3-
a3=dof(3)*DEG
WHILE ge ( a3 , swen_calc(3)*DEG)
a3=a3-da3
JUMP_TO_AX          @ @ a3  @ @ @
call MoveA1pn()
ENDWHILE
JUMP_TO_AX          @ @ swen_calc(3)*DEG  @ @ @

! A2-
a2=dof(2)*DEG
WHILE ge ( a2 , swen_calc(2)*DEG)
a2=a2-da2
JUMP_TO_AX          @ a2 @  @ @ @
call MoveA1pn()
ENDWHILE
JUMP_TO_AX          @ swen_calc(2)*DEG @ @ @ @

! A3-
a3=dof(3)*DEG
WHILE le ( a3 , swep_calc(3)*DEG)
a3=a3+da3
JUMP_TO_AX          @ @ a3  @ @ @
call MoveA1pn()
ENDWHILE
JUMP_TO_AX          @ @  swep_calc(3)*DEG @ @ @

! A2+
a2=dof(2)*DEG
WHILE le ( a2 , swep_calc(2)*DEG)
a2=a2+1
JUMP_TO_AX          @ a2 swep_calc(3)*DEG  @ @ @
call MoveA1pn()
ENDWHILE
JUMP_TO_AX          @ swep_calc(2)*DEG swep_calc(3)*DEG  @ @ @
JUMP_TO_AX          @ swep_calc(2)*DEG swep_calc(3)*DEG  @ @ @

! 
! call MyMoveFct()
! 
EndProgramFile

Fct MoveA1pn()
if move_a1
IF a1p
call MoveA1n()
a1p=0
ELSE
call MoveA1p()
a1p=1
ENDIF
ERC COLOR TRACK  GREEN
else
JUMP_TO_AX          0 @ @ @ @ @
ENDIF
ENDFCT

Fct MoveA1n()
! A1-
ERC COLOR TRACK  RED
a1=dof(1)*DEG
!WHILE ge ( a1 , swen_calc(1)*DEG)
WHILE ge ( a1 , 0*DEG)
a1=a1-da1
JUMP_TO_AX          a1 @ @ @ @ @
ENDWHILE
EndFCT

Fct MoveA1p()
! A1+
ERC COLOR TRACK  BLUE
a1=dof(1)*DEG
WHILE le ( a1 , swep_calc(1)*DEG)
a1=a1+da1
JUMP_TO_AX         a1 @ @ @ @ @
ENDWHILE
EndFCT

Fct MyMoveFct()
ERC TRACK OFF
PTP_AX          0 0 0  0 0 0
PTP_AX          @ swep(2)*DEG @ @ @ @
ERC TRACK ON
PTP_AX          @ @ swep_calc(3)*DEG   @ @ @
PTP_AX          @ @ swen_calc(3)*DEG  @ @ @
PTP_AX          @ swen(2)*DEG @ @ @ @
PTP_AX          @ @ swep_calc(3)*DEG  @ @ @
ii=swen(2)*DEG
WHILE le ( ii , swep(2)*DEG)
ii=ii+1
JUMP_TO_AX          @ ii swep_calc(3)*DEG  @ @ @
ENDWHILE
EndFct

