ProgramFile
! cRobot 'DB500'
! Example program to demonstrate the functions
! to reattach a body of a robot group to another
! body in the robot group
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
!
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

Home 1

ERC LOAD TOOL DB500.tol

MOVE PATH01.T_1
Home 1

ERC ATTACH ROBOT DB500_3 to_ROBOT DB500_5
MOVE PATH01.T_1
MOVE PATH01.T_6
Home 1

ERC ATTACH ROBOT DB500_3 to_ROBOT DB500_6
MOVE PATH01.T_1
MOVE PATH01.T_6
Home 1

ERC ATTACH  ROBOT DB500_2 to_TOOL
MOVE PATH01.T_1
MOVE PATH01.T_6
Home 1

EndProgramFile

fct my_fct_name()
endfct

! END PRGFILE  3850161784
