ProgramFile
! cRobot 'DB500'
! Example program to demonstrate the 
! collision functions 
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

! ---------------------------------------------------
ERC LOAD VIEW view_07.vie
ERC COLLISION OFF
ERC STOP_COLLISION OFF

ERC CURRENT_DEVICE SET DB500
ERC COLLISION ROBOT_GRP CONCAVE

ERC CURRENT_DEVICE SET DB500#2
ERC COLLISION ROBOT_GRP CONCAVE

ERC CURRENT_DEVICE SET DB500
ERC COLLISION TOOL tool CONCAVE
ERC RED_BLUE_COLLISION ON
ERC PRG_WIN ON

Home 1

PTP              0.6899     0.6899     0.2295   -49.8697  -142.5815   -62.8760
LIN              0.5633     0.5634     0.1229   -49.8693  -142.5817   -62.8758
LIN             0.6899     0.6899     0.2295   -49.8697  -142.5815   -62.8760
ERC COLLISION ON
ERC COLLISION QUEUE ROBOT_TOOL ON
LIN              0.5633     0.5634     0.1229   -49.8693  -142.5817   -62.8758
LIN             0.6899     0.6899     0.2295   -49.8697  -142.5815   -62.8760
ERC COLLISION QUEUE ROBOT_TOOL OFF
ERC COLLISION OFF
Home 1

ERC COLLISION QUEUE ROBOT_ROBOT ON
ERC COLLISION ON
PTP              0.6899     0.6899     0.2295   -49.8697  -142.5815   -62.8760
LIN              0.5633     0.5634     0.1229   -49.8693  -142.5817   -62.8758
LIN             0.6899     0.6899     0.2295   -49.8697  -142.5815   -62.8760
ERC COLLISION QUEUE ROBOT_ROBOT OFF
ERC COLLISION OFF
Home 1

MOVE T_9
LIN T_10
LIN T_9
ERC COLLISION ON
LIN T_10
LIN T_9
ERC COLLISION OFF

LIN T_11
LIN T_9
ERC COLLISION ON
LIN T_11
LIN T_9
ERC COLLISION OFF

ERC LOAD VIEW view_08.vie
MOVE T_2_1
LIN T_2_2
LIN T_2_1

ERC COLLISION QUEUE BODY_TOOL ON
ERC COLLISION TOOL tool CONCAVE
ERC COLLISION BODY cyl_half CONCAVE
ERC COLLISION ON
ERC RED_BLUE_COLLISION OFF

MOVE T_2_1
LIN T_2_2
LIN T_2_1

ERC RED_BLUE_COLLISION ON
MOVE T_2_1
LIN T_2_2
LIN T_2_1

MSG ************************************************************
MSG The following command "ERC STOP_COLLISION ON" would stop the
MSG simulation, you can not continue - the simulation will start 
MSG again at the beginning.
MSG
MSG Das Kommando "ERC STOP_COLLISION ON" stoppt die Simulation,
MSG fortfuehren nicht moeglich - die Simulation wuerde wieder am
MSG Anfang starten
MSG ************************************************************
!ERC STOP_COLLISION ON
!LIN T_2_2

ERC COLLISION OFF

MOVE T_2_1
LIN T_2_3
LIN T_2_1

ERC COLLISION QUEUE BODY_ROBOT ON
ERC COLLISION BODY cyl_half CONCAVE
ERC COLLISION ON

MOVE T_2_1
LIN T_2_3
LIN T_2_1

ERC COLLISION OFF

MOVE T_2
ERC GRAB BODY CYL_HALF
LIN              1.9500    -0.2598     1.5572  -180.0000     0.0000    -0.0000
LIN              1.0842    -0.2829     0.6234   180.0000   -63.6355     0.0001
LIN              1.9500    -0.2598     1.5572   180.0000     0.0000     0.0000
ERC COLLISION QUEUE GRABBODY_ROBOT ON

ERC COLLISION BODY cyl_half CONCAVE
ERC COLLISION ON
LIN              1.0842    -0.2829     0.6234   180.0000   -63.6355     0.0001
LIN              1.9500    -0.2598     1.5572   180.0000     0.0000     0.0000
MOVE T_2
ERC RELEASE BODY CYL_HALF
ERC COLLISION OFF
Home 1

ERC COLLISION QUEUE BODY_TOOL ON
ERC COLLISION BODY cyl_half CONCAVE
ERC COLLISION TOOL tool CONCAVE

MOVE T_5_2

ERC COLLISION ON

LIN T_5_1
LIN T_5_2

ERC COLLISION BODY cyl_half BBOX
ERC COLLISION TOOL tool BBOX
LIN T_5_1
LIN T_5_2

ERC COLLISION OFF

HOME 1

call my_fct_name()
EndProgramFile

fct my_fct_name()
endfct

! END PRGFILE  760129192
