ProgramFile
! Example program to demonstrate 
! the function WAIT_UNTIL_SIGNAL_UNSET
!
!
r01_out = 1
EndInit

! cRobot 'DB500_01'
! Set Default SPEEDs and ACCELs
SPEED_PTP_OV   80.0000
SPEED_CP_OV    20.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         50.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

WHILE gt(1,0)

  MOVE Cyl01.T_2
  LIN T_1

  ERC GRAB DEVICE Cyl_01

  LIN lift_pos.T_2
  LIN lift_pos.T_1

  ERC GRAB_TO DEVICE CYL_01 CONVEYOR_BIG_01

  !------------------------------------
  ! tell the conveyor that robot is done
  r01_out = 0

  LIN Cyl01.T_2
  MOVE approach.T_1

  r01_out = 1

  !--------------------------------------
  ! wait until workpiece is back in place
  WAIT_UNTIL_SIGNAL_UNSET conv01_out 

  conv01_out = 1

ENDWHILE

EndProgramFile


! END PRGFILE  2920460780
