ProgramFile
! cRobot 'DB500'
!
! Example program to demonstrate the function
! load
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

Home 1
ERC LOAD TOOL DB500.tol
ERC LOAD VIEW view_01.vie

ERC LOAD ENVIRONMENT easy-rob_1.env

! load the tool
!
MOVE T_1
Home 1
ERC LOAD TOOL tool_2.tol
MOVE T_1
Home 1
ERC LOAD TOOL tool_3.tol
MOVE T_1
Home 1
ERC LOAD TOOL DB500.tol

ERC LOAD ENVIRONMENT easy-rob_2.env

! load view
!
ERC VIEW steps 100
ERC LOAD VIEW view_02.vie
MOVE T_1
MOVE T_2
Home 1
ERC LOAD VIEW view_03.vie
MOVE T_3
Home 1

ERC LOAD ENVIRONMENT easy-rob.env

! load pyramid
!
ERC LOAD VIEW view_01.vie
ERC RENDER ROBOT_GRP  INVISIBLE
ERC RENDER TOOL_GRP  INVISIBLE
ERC LOAD BODY pyramid.bod
ERC MOVE_REL BODY pyramid 2 0 0 0 0 0
ERC RENDER ROBOT_GRP  SMOOTH
ERC RENDER TOOL_GRP  SMOOTH

! load tags pyramid
!
ERC LOAD TAGS pyramid_tags.tag
MOVE T_1
Home 1
MOVE T_2
Home 1

! load mimic
!
ERC LOAD MIMIC example_mimic.mmc
MIMIC T1
MIMIC T2
MIMIC M1

! load robot
!
ERC LOAD ROBOT DB500.rob
ERC MOVE_REL ROBOT_GRP DB500_0  0 -2 0 0 0 0

! load cyl
!
ERC LOAD VIEW view_01.vie
ERC RENDER ROBOT_GRP  INVISIBLE
ERC LOAD BODY cyl.bod
ERC RENDER ROBOT_GRP  SMOOTH

! load tags _cyl
ERC LOAD TAGS cyl_tags.tag

EndProgramFile

! END PRGFILE  3745471724
