ProgramFile
! cRobot 'DB500'
!
! Example program to demonstrate the functions 
! to create Tagpoints out of a running program
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

Home 1
ERC CREATE_TARGET_TAGS OFF
ERC TAGS DELETE ALL

PTP           2.0236     1.0092     2.1448    -0.0002    95.0000     0.0002
LIN            1.9393     1.0092     1.1819    -0.0003    95.0000     0.0004
PTP              1.9393    -0.9247     1.1819    -0.0034    94.9999     0.0035
PTP             2.0506    -0.9247     2.4541    -0.0035    94.9998     0.0035
PTP              2.0236     0.0000     2.1448     0.0000    95.0000     0.0000

ERC CREATE_TARGET_TAGS ON
ERC TAGS PREFIX my_Tag

PTP           2.0236     1.0092     2.1448    -0.0002    95.0000     0.0002
LIN         1.9393     1.0092     1.1819    -0.0003    95.0000     0.0004
PTP              1.9393    -0.9247     1.1819    -0.0034    94.9999     0.0035
PTP             2.0506    -0.9247     2.4541    -0.0035    94.9998     0.0035
PTP              2.0236     0.0000     2.1448     0.0000    95.0000     0.0000

ERC CREATE_TARGET_TAGS OFF

MOVE MY_TAG1
MOVE MY_TAG2
MOVE MY_TAG3
MOVE MY_TAG4
MOVE MY_TAG5

ERC TAGS DELETE MY_TAG2

ALONG PATH01 MY_TAG1 MY_TAG5

call my_fct_name()
EndProgramFile

fct my_fct_name()
endfct

! END PRGFILE  3313624940
