ProgramFile
! cRobot 'CONVEYOR_BIG_01'
! Example program to demonstrate 
! the function WAIT_UNTIL_SIGNAL_SET
!
! Below section is called once at t=0
! Add Initialization commands here
! 
conv01_out = 0
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX     2.000
ACCEL_PTP_AX     40.000
SPEED_CP         0.2000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

WHILE gt(1,0)

  !------------------------------
  ! wait until the robot is done
  WAIT_UNTIL_SIGNAL_SET  r01_out
  r01_out = 0

  ERC GRAB DEVICE CYL_01
  PTP conv01:T_2
  HOME 1
  ERC RELEASE ROBOT CYL_01

  !------------------------------
  ! tell robot that work is done
  conv01_out = 1

ENDWHILE

! END PRGFILE  604725908
