ProgramFile
! cRobot 'DB500_01'
! Example program to demonstrate 
! the function WAIT_UNTIL_SIGNAL_UNSET
!
! Below section is called once at t=0
! Add Initialization commands here
! 
r01_out = 1
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

WHILE gt(1,0)

  MOVE Cyl01.T_2
  LIN T_1

  ERC GRAB DEVICE Cyl_01

  LIN lift_pos.T_2
  LIN lift_pos.T_1

  ERC RELEASE DEVICE CYL_01

  LIN Cyl01.T_2

  !------------------------------------
  ! tell the conveyor that robot is done
  r01_out = 0

  MOVE approach.T_1

  r01_out = 1

  !--------------------------------------
  ! wait until workpiece is back in place
  WAIT_UNTIL_SIGNAL_UNSET conv01_out 

  conv01_out = 1

ENDWHILE

EndProgramFile

! END PRGFILE  249460392
